hxt-9.3.1.15: A collection of tools for processing XML with Haskell.

Copyright | Copyright (C) 2005 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Control.Arrow.ListArrow

Description

Implementation of pure list arrows

Synopsis

- newtype LA a b = LA {
  - runLA :: a -> [b]
  }
- fromLA :: ArrowList a => LA b c -> a b c

# Documentation

newtype LA a b Source

pure list arrow data type

Constructors

LA |

Fields

runLA :: a -> [b]

Instances

Arrow LA Source |
ArrowZero LA Source |
ArrowPlus LA Source |
ArrowChoice LA Source |
ArrowApply LA Source |
ArrowList LA Source |
ArrowWNF LA Source |
ArrowNF LA Source |
ArrowIf LA Source |
ArrowNavigatableTree LA Source |
ArrowTree LA Source |
ArrowDTD LA Source |
ArrowXml LA Source |
Category * LA Source |

fromLA :: ArrowList a => LA b c -> a b c Source

conversion of pure list arrows into other possibly more complex list arrows